diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/net/tulip/ChangeLog linux-2.5/drivers/net/tulip/ChangeLog
--- bk-linus/drivers/net/tulip/ChangeLog	2002-11-21 02:17:09.000000000 +0000
+++ linux-2.5/drivers/net/tulip/ChangeLog	2002-11-21 17:59:55.000000000 +0000
@@ -26,17 +26,22 @@
 	PCI transaction.
 	Fix bugs in tulip MWI config also.
 
+2002-02-07  Uwe Bonnes  <bon@elektron.ikp.physik.tu-darmstadt.de>
+
+	* tulip_core (tulip_pci_tbl[]):
+	Add PCI id for comet tulip clone.
+
 2002-01-28  Stefan Rompf  <srompf@isg.de>,
             Jeff Garzik  <jgarzik@pobox.com>
 
-        * 21142.c (t21142_timer):  Use return value of
-        tulip_check_duplex() to indicate to system whether or not
-        carrier is present.  Use carrier presence/absence to determine
-        when next the 21142 media timer should check for link beat.
-
-        * timer (tulip_timer):  Un-comment-out calls to
-        netif_carrier_{on,off}, as there is now value in
-        reporting link beta information to userspace.
+	* 21142.c (t21142_timer):  Use return value of
+	tulip_check_duplex() to indicate to system whether or not
+	carrier is present.  Use carrier presence/absence to determine
+	when next the 21142 media timer should check for link beat.
+
+	* timer (tulip_timer):  Un-comment-out calls to
+	netif_carrier_{on,off}, as there is now value in
+	reporting link beta information to userspace.
 
 2002-01-28  Pavel Roskin  <proski@gnu.org>
 
@@ -48,10 +53,19 @@
 	* tulip.h: Likewise.  Increase EEPROM_SIZE to 512 bytes to
 	accomodate EEPROM on Conexant RS7112.
 
-2002-02-07  Uwe Bonnes  <bon@elektron.ikp.physik.tu-darmstadt.de>
+2001-12-19  John Zielinski
+
+	* tulip_core.c (tulip_up, tulip_init_one):
+	More places to revert PHY autoconfiguration bit removal.
+
+2001-12-18  Jeff Garzik  <jgarzik@mandrakesoft.com>
+
+	* tulip.h: revert PHY autoconfiguration bit removal
+
+2001-12-16  Andrew Lambeth  <wal@vmware.com>
 
-        * tulip_core (tulip_pci_tbl[]):
-        Add PCI id for comet tulip clone.
+	* tulip_core.c (tulip_start_xmit): Use the more-portable
+	spin_lock_irqsave.
 
 2001-12-11  Jeff Garzik  <jgarzik@pobox.com>
 
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/net/tulip/tulip.h linux-2.5/drivers/net/tulip/tulip.h
--- bk-linus/drivers/net/tulip/tulip.h	2002-11-21 02:17:10.000000000 +0000
+++ linux-2.5/drivers/net/tulip/tulip.h	2002-11-21 17:59:57.000000000 +0000
@@ -199,8 +199,8 @@ enum t21041_csr13_bits {
 	csr13_cac = (1<<2), /* CSR13/14/15 autoconfiguration */
 	csr13_srl = (1<<0), /* When reset, resets all SIA functions, machines */
 
-	csr13_mask_auibnc = (csr13_eng | csr13_aui | csr13_srl),
-	csr13_mask_10bt = (csr13_eng | csr13_srl),
+	csr13_mask_auibnc = (csr13_eng | csr13_aui | csr13_srl | csr13_cac),
+	csr13_mask_10bt = (csr13_eng | csr13_srl | csr13_cac),
 };
 
 enum t21143_csr6_bits {
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/net/tulip/tulip_core.c linux-2.5/drivers/net/tulip/tulip_core.c
--- bk-linus/drivers/net/tulip/tulip_core.c	2002-11-21 02:17:10.000000000 +0000
+++ linux-2.5/drivers/net/tulip/tulip_core.c	2002-11-21 17:59:57.000000000 +0000
@@ -2,7 +2,7 @@
 
 /*
 	Maintained by Jeff Garzik <jgarzik@pobox.com>
-	Copyright 2000,2001  The Linux Kernel Team
+	Copyright 2000-2002  The Linux Kernel Team
 	Written/copyright 1994-2001 by Donald Becker.
 
 	This software may be used and distributed according to the terms
@@ -94,6 +94,8 @@ static int csr0 = 0x01A00000 | 0x8000;
 static int csr0 = 0x01A00000 | 0x9000;
 #elif defined(__arm__) || defined(__sh__)
 static int csr0 = 0x01A00000 | 0x4800;
+#elif defined(__mips__)
+static int csr0 = 0x00200000 | 0x4000;
 #else
 #warning Processor architecture undefined!
 static int csr0 = 0x00A00000 | 0x4800;
@@ -1546,7 +1548,7 @@ static int __devinit tulip_init_one (str
 #endif
 #if defined(__i386__)		/* Patch up x86 BIOS bug. */
 		if (last_irq)
-			irq = last_irq;
+			dev->irq = last_irq;
 #endif
 	}
 
